package gov.nist.p25.issi.issiconfig;

/**
 * These are ISSI specific constants.
 * 
 * @undocumented
 * @author M. Ranganathan
 * 
 */
public interface ISSIConstants {
	// public static final String LOGGER = "gov.nist.p25";
	public static final String X_TIA_P25_ISSI = "x-tia-p25-issi";

	public static final String APPLICATION = "application";

	public static final int RTP_TIMEOUT = 4000;

	public static final String SDP = "sdp";

	public static final String BODY_BOUNDARY = "P25 ISSI body boundary";
	
	// The separator for content in a multi part mime message.
	public static final String CONTENT_BOUNDARY = "--" + BODY_BOUNDARY ;

	// Some standard warning messages.
	public static final String WARN_TEXT_MISSING_REQUIRED_PARAMETER = "Missing a required header parameter";

	public static final String WARN_TEXT_MISSING_REQUIRED_SDP_ANNOUNCE = "Missing SDP announce in body ";

	public static final String U2UORIG = "TIA-P25-U2UOrig";

	public static final String U2UDEST = "TIA-P25-U2UDest";

	public static final String TIA_P25_SU = "TIA-P25-SU";

	public static final String TIA_P25_SG = "TIA-P25-SG";

	public static final String P25DR = "p25dr";

	public static final String P25_GROUP_CALL = "TIA-P25-Groupcall";

	public static final String CALLING_HOME_NAME = "TIA-P25-U2Uorig";

	public static final String CALLED_HOME_NAME = "TIA-P25-U2Udest";
	
	public static final String USER = "user";

	
	
}
