package gov.nist.p25.issi.issiconfig;


/**
 * Configuration file for packet monitor.
 * 
 * @author mranga@nist.gov
 * 
 */
public class PacketMonitorWebServerAddress implements WebServerAddress {
	String host;

	int port;

	public PacketMonitorWebServerAddress(String httpAddress, int port) {
		this.host = httpAddress;
		this.port = port;
	}

	public String getIpAddress() {
		return host;
	}

	public int getHttpPort() {
		return port;
	}

	public String getHttpControlUrl() {
		
		return "http://" + host + ":" + port + "/sniffer/controller";
	}
	
	@Override
	public String toString() {
		return "[ HOST = " + host + " HTTP Port = " + port + " ]";
	}

}
