/*
 *This software was developed by employees of the National Institute of
 *Standards and Technology (NIST), an agency of the Federal Government.
 *Pursuant to title 15 Untied States Code Section 105, works of NIST
 *employees are not subject to copyright protection in the United States
 *and are considered to be in the public domain.  As a result, a formal
 *license is not needed to use the software.
 *
 *
 *The ISSI Emulator software is provided by NIST as a service and is expressly
 *provided "AS IS."  NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED
 *OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF
 *MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT
 *AND DATA ACCURACY.  NIST does not warrant or make any representations
 *regarding the use of the software or the results thereof, including but
 *not limited to the correctness, accuracy, reliability or usefulness of
 *the software.
 *
 *
 *Permission to use this software is contingent upon your acceptance
 *of the terms of this agreement
 *.
 *
 */
package gov.nist.p25.issi.p25body.serviceprofile;

public enum AccessPermissionType {
	NO_ACCESS(0, "No access allowed","None"), FULL_ACCESS(1, "Full Access Allowed","Full"), EMERGENCY_ACCESS(
			2, "Only Emergency Acccess Allowed","Emergency");
	int intValue;

	private String description;

	private String shortDescr;

	AccessPermissionType(int val, String description, String shortDescr) {
		this.intValue = val;
		this.description = description;
		this.shortDescr = shortDescr;
	}

	public int getIntValue() {
		return this.intValue;
	}

	@Override
	public String toString() {
		return description;
	}

	public static AccessPermissionType getInstance(int access) {
		for (AccessPermissionType acc : AccessPermissionType.values())
			if (access == acc.intValue)
				return acc;
		throw new IllegalArgumentException("Bad access value");
	}

	public static AccessPermissionType getInstance(String accessPermission) {
		for ( AccessPermissionType ac : AccessPermissionType.values()) {
			if (ac.shortDescr.equals(accessPermission)) return ac;
		}
		throw new IllegalArgumentException("Bad access value : "  + accessPermission ) ;
	}
}