/*
 *This software was developed by employees of the National Institute of
 *Standards and Technology (NIST), an agency of the Federal Government.
 *Pursuant to title 15 Untied States Code Section 105, works of NIST
 *employees are not subject to copyright protection in the United States
 *and are considered to be in the public domain.  As a result, a formal
 *license is not needed to use the software.
 *
 *
 *The ISSI Emulator software is provided by NIST as a service and is expressly
 *provided "AS IS."  NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED
 *OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF
 *MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT
 *AND DATA ACCURACY.  NIST does not warrant or make any representations
 *regarding the use of the software or the results thereof, including but
 *not limited to the correctness, accuracy, reliability or usefulness of
 *the software.
 *
 *
 *Permission to use this software is contingent upon your acceptance
 *of the terms of this agreement
 *.
 *
 */
package gov.nist.p25.issi.p25body.serviceprofile;

/**
 * Defines a generic Call permission.
 * 
 * @author M. Ranganathan
 * 
 */
public enum CallPermissionType {
	
	NONE(0, "No  permission", "None"), RECEIVE(1, "Receive call permission","Receive"), INITIATE(
			2, "Initiate call permission","Initiate"), RECEIVE_AND_INITIATE(3,
			"Receive and Initiate Call permission","ReceiveAndInitiate");
	int intValue;

	private String description;
    private String shortName ; 
    /*
     * ("None" | "Receive" | "Initiate" | "ReceiveAndInitiate" )
     */
	CallPermissionType(int val, String descr, String shortName) {
		this.intValue = val;
		this.description = descr;
		this.shortName = shortName;
	}

	public int getIntValue() {
		return intValue;
	}

	public static CallPermissionType getInstance(int intVal) {
		for (CallPermissionType p : CallPermissionType.values()) {
			if (p.intValue == intVal)
				return p;
		}
		throw new IllegalArgumentException("Bad arg" + intVal);
	}

	@Override
	public String toString() {
		return description;
	}

	public static CallPermissionType getInstance(String value) {
		for (CallPermissionType p : CallPermissionType.values()) {
			if (p.shortName.equals(value))
				return p;
		}
		throw new IllegalArgumentException("Bad arg " + value);
		
	}

}