/*
 *This software was developed by employees of the National Institute of
 *Standards and Technology (NIST), an agency of the Federal Government.
 *Pursuant to title 15 Untied States Code Section 105, works of NIST
 *employees are not subject to copyright protection in the United States
 *and are considered to be in the public domain.  As a result, a formal
 *license is not needed to use the software.
 *
 *
 *The ISSI Emulator software is provided by NIST as a service and is expressly
 *provided "AS IS."  NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED
 *OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF
 *MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT
 *AND DATA ACCURACY.  NIST does not warrant or make any representations
 *regarding the use of the software or the results thereof, including but
 *not limited to the correctness, accuracy, reliability or usefulness of
 *the software.
 *
 *
 *Permission to use this software is contingent upon your acceptance
 *of the terms of this agreement
 *.
 *
 */
package gov.nist.p25.issi.p25body.serviceprofile;

/**
 * @author M. Ranganathan
 * 
 */
public enum CallSetupPreferenceType {
	CALLER_PREFERS_AVAILABILITY_CHECK(0,"Calling SU prefers Availability Check for the Called SU","AvailabilityCheck"), 
	CALLER_PREFERS_DIRECT_CALL(1, "Calling SU prefers Direct Call for the Called SU","DirectCall");

	private String description;

	private int intValue;
	/*
	 * ("AvailabilityCheck" | "DirectCall" )
	 *
	 */
	
	private String shortName;

	CallSetupPreferenceType(int dup, String desc, String shortName) {
		this.intValue = dup;
		this.description = desc;
		this.shortName = shortName;

	}

	public int getIntValue() {
		return intValue;
	}

	@Override
	public String toString() {
		return description;
	}

	public static CallSetupPreferenceType getInstance(int intval) {
		for (CallSetupPreferenceType d : values())
			if (d.intValue == intval)
				return d;
		throw new IllegalArgumentException("Value out of range");
	}

	public static CallSetupPreferenceType getInstance(String value) {
		for (CallSetupPreferenceType d : values())
			if (d.shortName.equals(value))
				return d;
		throw new IllegalArgumentException("Value out of range " + value);
	}

}
