/*
 *This software was developed by employees of the National Institute of
 *Standards and Technology (NIST), an agency of the Federal Government.
 *Pursuant to title 15 Untied States Code Section 105, works of NIST
 *employees are not subject to copyright protection in the United States
 *and are considered to be in the public domain.  As a result, a formal
 *license is not needed to use the software.
 *
 *
 *The ISSI Emulator software is provided by NIST as a service and is expressly
 *provided "AS IS."  NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED
 *OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF
 *MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT
 *AND DATA ACCURACY.  NIST does not warrant or make any representations
 *regarding the use of the software or the results thereof, including but
 *not limited to the correctness, accuracy, reliability or usefulness of
 *the software.
 *
 *
 *Permission to use this software is contingent upon your acceptance
 *of the terms of this agreement
 *.
 *
 */
package gov.nist.p25.issi.p25body.serviceprofile;

public enum GroupCallPermissionType {
	NONE(0, "No group permission","None"), NON_EMERGENCY(1,
			"Non emergency group call permission","NonEmergency"), EMERGENCY(2,
			"Emergency group call permission","Emergency"),
			EMERGENCY_AND_NON_EMERGENCY(3,
			"Emergency and non-emergency permission","EmergencyAndNonEmergency");
	int intValue;

	private String description;

	/*
	 * ("None"|"NonEmergency" | "Emergency" |
				 * "EmergencyAndNonEmergency" )
	 */
	private String shortName;

	GroupCallPermissionType(int val, String descr, String shortName) {
		this.intValue = val;
		this.description = descr;
		this.shortName = shortName;
	}

	public int getIntValue() {
		return intValue;
	}

	public static GroupCallPermissionType getInstance(int intVal) {
		for (GroupCallPermissionType p : values()) {
			if (p.intValue == intVal)
				return p;
		}
		throw new IllegalArgumentException("Bad arg" + intVal);
	}

	@Override
	public String toString() {
		return description;
	}

	public static GroupCallPermissionType getInstance(String value) {
		for ( GroupCallPermissionType gcType : GroupCallPermissionType.values()) {
			if ( value.equals(gcType.shortName)) return gcType;
		}
		throw new IllegalArgumentException("Bad arg" + value);
	}

}