/*
 *This software was developed by employees of the National Institute of
 *Standards and Technology (NIST), an agency of the Federal Government.
 *Pursuant to title 15 Untied States Code Section 105, works of NIST
 *employees are not subject to copyright protection in the United States
 *and are considered to be in the public domain.  As a result, a formal
 *license is not needed to use the software.
 *
 *
 *The ISSI Emulator software is provided by NIST as a service and is expressly
 *provided "AS IS."  NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED
 *OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF
 *MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT
 *AND DATA ACCURACY.  NIST does not warrant or make any representations
 *regarding the use of the software or the results thereof, including but
 *not limited to the correctness, accuracy, reliability or usefulness of
 *the software.
 *
 *
 *Permission to use this software is contingent upon your acceptance
 *of the terms of this agreement
 *.
 *
 */
package gov.nist.p25.issi.p25body.serviceprofile;

public enum SecurityLevelType {
	// (ClearOnly|SecureOnly|ClearAndSecure)
	CLEAR_MODE_ONLY_CALLS(1, "1: Clear Mode Only","ClearOnly"),
	SECURE_MODE_ONLY_CALLS(2,"2: Secure Mode Only Calls","SecureOnly"), 
	SECURE_AND_CLEAR_CALLS(3,"3: Clear Mode and Secure mode calls","ClearAndSecure");

	private String description;

	private int intValue;
	
	private String shortName;

	private SecurityLevelType(int level, String description, String shortName) {
		this.intValue = level;
		this.description = description;
		this.shortName = shortName;

	}

	public int getIntValue() {
		return intValue;
	}

	public static SecurityLevelType getInstance(int level) {
		for (SecurityLevelType lev : SecurityLevelType.values()) {
			if (level == lev.intValue)
				return lev;
		}
		throw new IllegalArgumentException("illegal arg :" + level);
	}

	@Override
	public String toString() {
		return description;
	}

	public static SecurityLevelType getInstance(String level) {
		for (SecurityLevelType lev : SecurityLevelType.values()) {
			if (level.equals(lev.shortName))
				return lev;
		}
		throw new IllegalArgumentException("illegal arg :" + level);
		
	}
}