package gov.nist.p25.issi.packetmonitor;

import jpcap.packet.Packet;

/**
 * Represents a raw captured packet. This is post processed to extract the
 * relevant information. This is the only class that is instatiated
 * during run time. It is timestamped when the packet is captured
 * and stored internally until the packet monitor is asked to 
 * sort and classify packets.
 * 
 */
class CapturedPacket {
	private final PacketMonitor packetMonitor;

	long timeStamp;

	Packet packet;

	CapturedPacket(PacketMonitor packetMonitor, Packet packet) {
		this.packetMonitor = packetMonitor;
		this.packet = packet;
		this.timeStamp = System.currentTimeMillis();
	}
}