package gov.nist.p25.issi.packetmonitor;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

/**
 * Servlet that GETs the packet trace.
 * 
 * 
 */

public class SipTraceGetter extends HttpServlet {
	
	private static Logger logger = Logger.getLogger(SipTraceGetter.class);
	
	public SipTraceGetter() {

	}

	@Override
	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException {
		
		logger.debug("PacketMonitor: getting sip trace");
		
		PacketMonitor packetMonitor = PacketMonitor.getCurrentInstance();
		String retval  = null;
		
		if (packetMonitor == null ) {
			logger.debug("Packet monitor not started -- returning");
			retval = "";
		} else retval = packetMonitor.getSipMessages();
		response.getWriter().print(retval);
		response.getWriter().close();

	}

}
