package gov.nist.p25.issi.rfss;

import gov.nist.p25.issi.issiconfig.SuConfig;

/**
 * Each SU has a HomeAgent that is registered at the home RFSS.
 * 
 * @author M. Ranganathan
 * 
 */
public interface HomeAgentInterface {

	public abstract SuConfig getSuConfig();

	/**
	 * This method is called when a BYE request comes in.
	 * 
	 * @param callTeardownIndicateEvent
	 */
	void handleTeardownIndicate(
			CallTeardownIndicateEvent callTeardownIndicateEvent);

	public abstract void handleCallSetupResponseEvent(
			UnitToUnitCallControlResponseEvent ccResponseEvent);

	public abstract void handleTeardownResponse(
			CallTeardownResponseEvent ccTeardownEvent);

	public abstract void setServiceAccessPoints(ServiceAccessPoints saps);

}