package gov.nist.p25.issi.rfss;

import gov.nist.p25.issi.transctlmgr.TransmissionControlSAP;

/**
 * A collection of Service Access Points - these are passed to the SU when the
 * SU is created. When we implement this in the SLEE, we will pass this in as
 * part of the environment. For now, we pass it in as part of the constructor of
 * the SU instance.
 * 
 * @author M. Ranganathan
 * 
 */
public class ServiceAccessPoints {
	private CallControlSAP callControlSAP;

	private MobilityManagementSAP mobilityManagementSAP;

	private TransmissionControlSAP transmissionControlSAP;

	/**
	 * @param callControlSAP
	 *            The callControlSAP to set.
	 */
	ServiceAccessPoints(CallControlSAP callControlSAP,
			MobilityManagementSAP mobilityManagementSAP,
			TransmissionControlSAP transmissionControlSAP) {
		this.callControlSAP = callControlSAP;
		this.mobilityManagementSAP = mobilityManagementSAP;
		this.transmissionControlSAP = transmissionControlSAP;
	}

	/**
	 * @return Returns the callControlSAP.
	 */
	public CallControlSAP getCallControlSAP() {
		return callControlSAP;
	}

	/**
	 * @param mobilityManagementSAP
	 *            The mobilityManagementSAP to set.
	 */
	void setMobilityManagementSAP(MobilityManagementSAP mobilityManagementSAP) {
		this.mobilityManagementSAP = mobilityManagementSAP;
	}

	/**
	 * @return Returns the mobilityManagementSAP.
	 */
	public MobilityManagementSAP getMobilityManagementSAP() {
		return mobilityManagementSAP;
	}

	/**
	 * @return Returns the transmissionControlSAP.
	 */
	public TransmissionControlSAP getTransmissionControlSAP() {
		return transmissionControlSAP;
	}

}
