/*
 *This software was developed by employees of the National Institute of
 *Standards and Technology (NIST), an agency of the Federal Government.
 *Pursuant to title 15 Untied States Code Section 105, works of NIST
 *employees are not subject to copyright protection in the United States
 *and are considered to be in the public domain.  As a result, a formal
 *license is not needed to use the software.
 *
 *
 *The ISSI Emulator software is provided by NIST as a service and is expressly
 *provided "AS IS."  NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED
 *OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF
 *MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT
 *AND DATA ACCURACY.  NIST does not warrant or make any representations
 *regarding the use of the software or the results thereof, including but
 *not limited to the correctness, accuracy, reliability or usefulness of
 *the software.
 *
 *
 *Permission to use this software is contingent upon your acceptance
 *of the terms of this agreement
 *.
 *
 */
package gov.nist.p25.issi.rfss.tester;

import gov.nist.p25.issi.issiconfig.RfssConfig;
import gov.nist.p25.issi.issiconfig.SuConfig;
import gov.nist.p25.issi.issiconfig.TopologyConfig;

/**
 * @author M. Ranganathan
 * 
 */
public class RoamingScenario extends AbstractScenario {

	private RfssConfig destinationRfssConfig;

	private SuConfig suConfig;
	
	private boolean initiatedByHome;

	RoamingScenario(RfssConfig destinationRfssConfig, 
			SuConfig suConfig,boolean initiatedByHome) throws Exception {

		this.destinationRfssConfig = destinationRfssConfig;
		this.suConfig = suConfig;
		this.initiatedByHome = initiatedByHome;
		
		super.setDescription( "Perform the following mobility action \n" +
				"Su to move = " + suConfig.getSuId() + "\n" +
				"Destination Rfss to move to " + destinationRfssConfig.getRfssId() + "\n");
	
	}

	/**
	 * @return Returns the targetRfss.
	 */
	public RfssConfig getDestinationRfssConfig() {
		return destinationRfssConfig;
	}

	/**
	 * @return Returns the suConfig.
	 */
	public SuConfig getSuConfig() {
		return suConfig;
	}
	
	public boolean isIntiatedByHome() {
		return this.initiatedByHome;
	}

}
