package gov.nist.p25.issi.rfss.tester;

import java.util.HashSet;
import java.util.LinkedList;

import javax.sip.message.Request;
import javax.sip.message.Response;

/**
 * A bunch of requests and responses and PTT messages that are used to test against the 
 * incoming requests and responses. This is generated from the captured
 * templates. During an actual run we test the captured messages against
 * the template files.
 * 
 * @author M. Ranganathan
 *
 */
public class TestMessages {
	
	private LinkedList<Request> requests = new LinkedList<Request>();
	private LinkedList<Response>  responses = new LinkedList<Response>();
	
	
	public void addRequest(Request request) {
		this.requests.add(request);
	}
	
	public void addResponse(Response response) {
		this.responses.add(response);
	}
	
	public LinkedList<Request> getRequests() {
		return this.requests;
	}
	
	public LinkedList<Response> getResponses() {
		return this.responses;
	}
	
	public Request getFirstRequest() {
		return this.requests.getFirst();
	}
	
	public Response getFirstResponse() {
		return this.responses.getFirst();
	}
	
	public void removeRequest(Request template) {
		this.requests.remove(template);
	}
	
	public void removeResponse(Response template) {
		this.responses.remove(template);
	}
	
	public boolean hasMoreRequests() {
		return ! this.requests.isEmpty();
	}
	
	public boolean hasMoreResponses() {
		return ! this.responses.isEmpty();
	}
	

}
