package gov.nist.p25.issi.rfss.tester;

import java.util.Collection;
import java.util.HashSet;

import org.apache.log4j.Logger;

/**
 * A trigger that fires an abstract scripting action
 * 
 * @author M. Ranganathan
 *
 */
public abstract class Trigger {
	protected Object  matchValue;
	protected boolean oneShot;
	private AbstractScenario scenario;
	private HashSet<AbstractScenario> preconditions;

	private static Logger logger = Logger.getLogger(Trigger.class);
	
	public Trigger( Object value ) {
		this.matchValue = value;
		oneShot  = true;
		this.preconditions = new HashSet<AbstractScenario> ();
	}
	
	public boolean isOneShot( ) {
		return oneShot;
	}
	
	public void addPrecondition(AbstractScenario scenario) {
		logger.debug("adding precondition " + scenario.getId());
		this.preconditions.add(scenario);
		scenario.addPostTrigger((TimeTrigger)this);
	}
	
	public Collection <AbstractScenario> getPreConditions() {
		return this.preconditions;
	}
	
	public void setScenario(AbstractScenario scenario) {
		this.scenario = scenario;
	}
	
	public AbstractScenario getScenario () {
		return this.scenario;
	}
	public abstract boolean isReady(String rfssDomainName, Object matchObject);
	

}
