package gov.nist.p25.issi.startup;

import gov.nist.p25.issi.rfss.ISSITesterConstants;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.util.Properties;

import org.apache.log4j.Logger;

public class DietsConfigProperties extends Properties {
	public static final String SYSTEM_TOPOLOGY_PROPERTY = "diets.packetmonitor.systemTopology";
	public static final String STANDALONE_PROPERTY = "diets.standalone";
	public static final String TESTSUITE_PROPERTY = "diets.tester.testsuite";
	public static final String DAEMON_CONFIG_PROPERTY = "diets.daemon.configuration";
	public static final String DIETSGUI_WIDTH = "diets.dietsgui.width";
	public static final String DIETSGUI_HEIGHT = "diets.dietsgui.height";
	public static final String DAEMON_IP_ADDRESS = "diets.daemon.ipaddress";
	public static final String DAEMON_HTTP_PORT = "diets.daemon.httpPort";
	
	private static Logger logger = Logger.getLogger(DietsConfigProperties.class);
	private String fileName;
	
	protected DietsConfigProperties() {
		super();
		this.fileName =  ISSITesterConstants.STARTUP_PROPERTIES_FILENAME; 
	}

	public DietsConfigProperties(String fileName) throws Exception {
		try {
			this.fileName = fileName;
			this.load(new FileInputStream(new File(fileName)));
		} catch ( Exception ex) {
			logger.error("Error loading props",ex);
			throw ex;
		}
	}
	
	
	public void store() throws Exception {
		FileOutputStream fos = new FileOutputStream ( new File( fileName));
		super.store(fos, "This file is automatically generated by DIETS. Edit at your own peril.");
		fos.close();
		
	}
}
