package gov.nist.p25.issi.startup;

import gov.nist.p25.issi.traceverifier.Verifier;

import java.io.File;

/**
 * A platform independent launcher that reads the eclipse .classpath and
 * generates a runtime classpath from it.
 * 
 * @author mranga@nist.gov
 * 
 */
public class ProcessLauncher {

	public static Process runCommand(String className) throws Exception {

		String classPath = new ParseDotClasspath().parseDotClassPath()
				+ File.pathSeparator + "./diets-1.0.rc1.jar";
		System.out.println("java  -classpath " + classPath + " " + className);
		String commands[] = { "java", "-classpath", classPath, className };

		return Runtime.getRuntime().exec(commands);
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception {

		try {
			String className = null;
			
			className = System.getProperties().getProperty("className");
			
			
			//className = DietsStartup.class.getCanonicalName();
			
			
			runCommand(className);

		} catch (Exception ex) {
			ex.printStackTrace();
		}

	}

}
