package gov.nist.p25.issi.testlauncher;



import gov.nist.p25.issi.rfss.ISSITesterConstants;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.ServletInputStream;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.ConsoleAppender;
import org.apache.log4j.Logger;
import org.apache.log4j.SimpleLayout;

/**
 * Handles HTTP post status updates from the RFSS's.
 * 
 * @author M. Ranganathan
 * @author steveq@nist.gov
 * 
 */
public class ClientServlet extends HttpServlet {
	private static Logger logger = Logger.getLogger(ClientServlet.class);
	static {
		logger.addAppender(new ConsoleAppender(new SimpleLayout()));
	}

	@Override
	public void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {


		RemoteTestController remoteController = (RemoteTestController) this
				.getServletConfig().getServletContext().getAttribute(
						ISSITesterConstants.CONTROLLER);

		//String command = request.getParameter(ISSIConstants.COMMAND);

		ServletInputStream sin = request.getInputStream();
		try {

			int length = request.getContentLength();

			byte[] readbuf = new byte[length];
			sin.read(readbuf);

			String message = new String(readbuf);
			if (message != null)
				remoteController.gui.getTestExecutionPanel().logStatusMessage(message);
			
           
		} catch (Exception ex) {
			throw new ServletException("Unexpected exception ", ex);
		} finally {
			// sin.close();
			response.setStatus(HttpServletResponse.SC_OK);
		}
	}

}
