package gov.nist.p25.issi.testlauncher;

import org.apache.log4j.Logger;

import gov.nist.p25.issi.testlauncher.*;

/**
 * Progress screen for DIETS.
 * 
 * @author steveq@nist.gov
 * @version $Revision: 1.1 $, $Date: 2007/07/05 00:20:56 $
 * @since 1.5
 */
public class ProgressMonitor implements Runnable {

	private DietsGUI gui = null;
	private Thread thread;
	
	private static Logger logger = Logger.getLogger(ProgressMonitor.class);
	
	public ProgressMonitor(DietsGUI gui) {
	
		this.gui = gui;
		
		this.thread = new Thread( this );
		thread.start();

	}
	

	public void run() {
		
		gui.getStatusProgressBar().setIndeterminate(true);
		
		while (true) {

			    synchronized ( this ) {
			    	try {
			    		this.wait();
			    	} catch ( InterruptedException ex) {
			    		
			    		break;
			    		
			    	}
			    } 

			
				String message = gui.getTestExecutionPanel(). getProgressScreenMessage();
            	gui.getStatusLabel().setText(message);
            	
				
			
			
		}

		logger.info("Exitting the Progress Monitor thread");
		gui.getStatusProgressBar().setIndeterminate(false);
		
	}
	
	public void done() {
		this.thread.interrupt();
	}
	
}
