/* The software was developed by employees of the National Institute of
 * Standards and Technology (NIST), an agency of the Federal Government.
 * Pursuant to title 15 United States Code Section 105, works of NIST
 * employees are not subject to copyright protection in the United States
 * and are considered to be in the public domain.  As a result, a formal
 * license is not needed to use the software.
 * 
 * The ISSI Emulator software is provided by NIST as a service and is expressly
 * provided "AS IS".  NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT
 * AND DATA ACCURACY.  NIST does not warrant or make any representations
 * regarding the use of the software or the results thereof including, but
 * not limited to, the correctness, accuracy, reliability or usefulness of
 * the software.
 * 
 * Permission to use this software is contingent upon your acceptance
 * of the terms of this agreement and upon your providing appropriate
 * acknowledgments of NIST's ownership of the software.
 */
package gov.nist.p25.issi.traceviewer;

/**
 * @author steveq@nist.gov
 * @version $Revision: 1.1 $, $Date: 2007/07/05 00:20:59 $
 * @since 1.5
 */
public enum ZoomLevel {

	ZOOM_500(0, "500", 5.0), ZOOM_200(1, "200", 2.0), ZOOM_150(2, "150", 1.5), ZOOM_100(
			3, "100", 1.0), ZOOM_75(4, "75", 0.75), ZOOM_50(5, "50", 0.50), ZOOM_25(
			6, "25", 0.25), ZOOM_10(7, "10", 0.10), ZOOM_MAX(0, "500", 5.0), ZOOM_NORMAL(
			3, "100", 1.0), ZOOM_MIN(7, "10", 0.10);

	private int index;

	private String indexName;

	private double value;

	ZoomLevel(int index, String indexName, double value) {

		this.index = index;
		this.indexName = indexName;
		this.value = value;

	}

	public int getIndex() {

		return index;

	}

	public String toString() {

		return indexName;

	}

	public double value() {

		return value;

	}

}