/* This software was developed by employees of the National Institute of
 * Standards and Technology (NIST), an agency of the Federal Government.
 * Pursuant to title 15 United States Code Section 105, works of NIST
 * employees are not subject to copyright protection in the United States
 * and are considered to be in the public domain.  As a result, a formal
 * license is not needed to use the software.
 * 
 * The ISSI Emulator is provided by NIST as a service and is expressly
 * provided "AS IS".  NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT
 * AND DATA ACCURACY.  NIST does not warrant or make any representations
 * regarding the use of the software or the results thereof including, but
 * not limited to, the correctness, accuracy, reliability or usefulness of
 * the software.
 * 
 * Permission to use this software is contingent upon your acceptance
 * of the terms of this agreement.
 */
package gov.nist.p25.issi.transctlmgr.ptt;

import gov.nist.p25.issi.p25payload.PacketType;

/**
 * This class defines Rx paths of an SMF state machine.
 * 
 * @author steveq@nist.gov
 * @version $Revision: 1.6 $, $Date: 2007/07/24 03:20:36 $
 * @since 1.5
 */
class SmfRxPath extends PttPath {

	SmfRxPath(SmfRxState currentState, SmfRxTransition transition,
			SmfRxState nextState) {

		super(currentState, transition,  nextState);
	}

	
	SmfRxState getCurrentState() {

		return (SmfRxState) currentState;

	}

	
	SmfRxTransition getTransition() {

		return (SmfRxTransition) transition;

	}

	
	

	
	SmfRxState getNextState() {

		return (SmfRxState) nextState;

	}


	
	public String toString() {

		return "\tRx Current State: " + currentState + "\n"
				+ "\tRx Transition: " + transition + "\n"
				+ "\tRx Next State: " + nextState + "\n"
				+ "\tRx Incoming Packet Type: " + inPttMsgType + "\n"
				+ "\tRx Outgoing Packet Type: " + outPttMsgType;

	}
}
