/* This software was developed by employees of the National Institute of
 * Standards and Technology (NIST), an agency of the Federal Government.
 * Pursuant to title 15 United States Code Section 105, works of NIST
 * employees are not subject to copyright protection in the United States
 * and are considered to be in the public domain.  As a result, a formal
 * license is not needed to use the software.
 * 
 * The ISSI Emulator is provided by NIST as a service and is expressly
 * provided "AS IS".  NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT
 * AND DATA ACCURACY.  NIST does not warrant or make any representations
 * regarding the use of the software or the results thereof including, but
 * not limited to, the correctness, accuracy, reliability or usefulness of
 * the software.
 * 
 * Permission to use this software is contingent upon your acceptance
 * of the terms of this agreement.
 */
package gov.nist.p25.issi.transctlmgr.ptt;

/**
 * This class defines the state machine for an SMF.
 * 
 * @author steveq@nist.gov
 * @version $Revision: 1.8 $, $Date: 2007/07/24 03:20:36 $
 * @since 1.5
 */
public enum SmfTxTransition implements PttStateTransition{

	SEND_AUDIO, 
	SEND_CHANGE_IN_LOSING_STATE, 
	DENIED, END_TRIGGER, 
	FAIL_ON_TIMEOUT, 
	RECEIVED_GRANT, 
	REQUEST_TIMEOUT, 
	RESPONSE_FOR_INACTIVE_TSN, 
	SELF_GRANT, 
	START_TRANSMIT, 
	TX_TRIGGER, 
	WAIT, 
	WAIT_TIMEOUT

};
